@echo off
goto start
rem **************************************************************************
rem   BareBones DOS email system. (v3.2). JDC 2001.
rem 
rem   You are free to use this system, providing that you accept that: there
rem  is no warranty; you have no right support; and you use it at entirely
rem  your own risk.  Contact jchap@globalnet.co..uk for information or help.
rem
rem  *Please* report your working configuration with  the EMAIL /R command!
rem    It will make the system *much* easier to configure in the future!
:go
rem **************************************************************************
rem *Enter your settings here:*****See BAREBONE.TXT for help.*****************
rem *If you are using an external config file eg: BBCONFIG.BAT,***************
rem the settings there override any here!*************************************
rem **************************************************************************
set   Telephone=
set   Username=
set   Password=
set   COMport=
set   Nameserver=
set   POP3address=
set   POP3username=
set   POP3password=
set   SMTPaddress=
set   EMAILaddress=
rem **************************************************************************
rem   Note: Run BAREBONE /F to auto-detect most COM port/COMadvanced settings.
rem   Barebones 3 will run this automatically if COMport value left blank.
rem **************************************************************************
rem *******Advanced Settings**************************************************
set   Dial=T
set   Modemstring=&F&C1&D2
set   COMadvanced=c
set   Speed=9600
set   Debug=0
set   Leavemail=
set   DNS2=
set   DNS3=
set   ISPname=
set   PAP=0
set   Wait=40
set   View=on
set   File=Y
set   MailExtra=
rem   NB: Set Speed to: 600,1200,2400,4800,7200,9600,19200,38400, or 57600.
rem **************************************************************************
rem **Dialing script**********************************************************
rem
set   Receive1=ogin:
set   Send1=%username%\r
set   Receive2=assword:
set   Send2=%password%\r
set   Receive3=
set   Send3=
set   Receive4=
set   Send4=
rem **************************************************************************
rem **Address Book************************************************************
rem
set   nick1=barebones
set   addr1=barebones@jchap.globalnet.co.uk
set   real1=Barebones Author
set   nick2=
set   addr2= 
set   real2=
set   nick3=
set   addr3=
set   real3=
set   nick4=
set   addr4=
set   real4=
set   nick5=
set   addr5=
set   real5=
rem **************************************************************************
rem **************************************************************************
rem  DO NOT CHANGE THE FOLLOWING LINES UNLESS YOU KNOW WHAT YOU ARE DOING!
rem **************************************************************************
set Dialscript=standard
set bb=3.0a
set bbmode=1
set Subject=
rem [Display barebone.txt and Delete extra files?]
:delchk
echo  Updating configuration...
if exist barebone.exe goto delf
goto skdel
:delf
barebone /b
echo   Removing unused system files...
echo    Press any key to continue, or hold Control-C to stop...
pause>nul
del barebone.exe
if exist barebone.txt del barebone.txt
if exist read.me del read.me
if exist pktstat.com del pktstat.com
if exist inst.exe del inst.exe
if exist termin.com del termin.com
if exist tcpmail.txt del tcpmail.txt
:skdel
rem Check for standard external config file bbconfig.bat
if exist bbconfig.bat echo  Loading external config settings file: BBCONFIG.BAT
if exist bbconfig.bat call bbconfig.bat
rem Check for external modem info file
if exist bbfmodem.bat echo  Loading external modem settings file: BBFMODEM.BAT
if exist bbfmodem.bat call bbfmodem.bat
if "%2"=="/E" goto ext
if "%2"=="/e" goto ext
goto extret
rem load external isp configs
:ext
if not exist %3.bat echo   Could not find external config file: %3.BAT
if not exist %3.bat goto thend
shift
echo   Loading external config file: %2.BAT
call %2.bat
shift
:extret
rem Check all user settings are all filled in.
echo  Checking system settings.
if "%telephone%"=="" goto err0
if "%username%"=="" goto err1
if "%password%"=="" goto err2
if "%comport%"=="" goto err3
if "%nameserver%"=="" goto err4
if "%pop3address%"=="" goto err5
if "%pop3username%"=="" goto err6
if "%pop3password%"=="" goto err7
if "%smtpaddress%"=="" goto err8
if "%Dialscript%"=="" goto err9
if "%bb%"=="" goto err9
if "%Debug%"=="" goto err9
if "%comadvanced%"=="" goto err9
if "%speed%"=="" goto err9
if "%dial%"=="" goto err9
if "%Pap%"=="" goto err9
if "%Wait%"=="" goto err9
if "%emailaddress%"=="" goto err10
goto setok

:err0
echo   The telephone number to dial is not set.
goto err
:err1
echo   Username is not set.  Ask your ISP if you are not sure what this should be.
goto err
:err2
echo   Password is not set.  Ask your ISP if you are not sure.
goto err
:err3
echo   You have not set your COM port value.
echo    Press any key to attempt auto-detection of values (or Control-C to quit).
pause >nul
barebone /f > bbfmodem.bat
echo   Detection complete - please run Email.bat again.
echo.
goto thend
goto err
:err4
echo   You have not set a DNS (nameserver).  Find this from your ISP.
echo   Enter Nameserver=0 if you *really* want to leave this field blank and
echo   use IP addresses instead of host names for your mail servers.
goto err
:err5
echo   You have not set a POP3 address to collect mail from.
goto err
:err6
echo   You have not set a POP3 username, (try your login username if unsure).
goto err
:err7
echo   You have not set a POP3 password, (try your login password if unsure).
goto err
:err8
echo   You have not setup a SMTP address to send mail with.
:err9
echo   One of your advanced settings is missing.
goto err
:err10
echo   You have not set your name and email address.
echo    eg: EMAILaddress=James Chapman <jchap@globalnet.co.uk>
goto err

:err
echo    Your settings are not complete, please edit %0 to update them,
echo     (or, BBCONFIG.BAT if it exists in the current directory).
echo.
goto thend

:setok
rem Check options
if "%2"=="/N" goto msg
if "%2"=="/n" goto msg
if "%2"=="to" goto msg
if "%2"=="TO" goto msg
if "%2"=="tO" goto msg
if "%2"=="To" goto msg
if "%2"=="/C" goto bbcfg
if "%2"=="/c" goto bbcfg
if "%2"=="/q" goto qmail
if "%2"=="/Q" goto qmail
if "%2"=="/r" goto premsg
if "%2"=="/R" goto premsg
if "%2"=="/g" goto lget
if "%2"=="/G" goto lget
if "%2"=="/s" goto lsend
if "%2"=="/S" goto lsend
if "%2"=="/l" goto cont
if "%2"=="/L" goto cont
if "%2"=="/v" goto view
if "%2"=="/V" goto view
if "%2"=="" goto cont
if "%2"==" " goto cont
echo  Unrecognised command: "%2".  Type Email /? for help.
goto thend

:cont
rem [Make config.ppp file if necessary...]
rem if exist config.ppp goto skcfg
echo   Creating PPP configuration file: CONFIG.PPP
echo ppp trace 40 >config.ppp
if "%PAP%"=="1" echo ppp pap user %Username% %Password% >>config.ppp
echo ppp quick >>config.ppp
echo ppp lcp open >>config.ppp
:skcfg

rem [Make dial.ppp file if necessary...]
if "%Dialscript%"=="standard" goto dodial
goto skdial
:dodial
rem if exist dial.ppp goto skdial
echo   Creating login script file: DIAL.PPP
echo send "AT%modemstring%D%dial%%telephone%\r" >dial.ppp
if "%receive1%"=="" echo recv %Wait%000 >>dial.ppp
if "%receive1%"=="" goto skdial
echo recv %Wait%000 "%receive1%" >>dial.ppp
if "%send1%"=="" goto skdial
echo send "%send1%" >>dial.ppp
if "%receive2%"=="" goto skdial
echo recv %Wait%000 "%receive2%" >>dial.ppp
if "%send2%"=="" goto skdial
echo send "%send2%" >>dial.ppp
if "%receive3%"=="" goto skdial
echo recv %Wait%000 "%receive3%" >>dial.ppp
if "%send3%"=="" goto skdial
echo send "%send3%" >>dial.ppp
if "%receive4%"=="" echo recv %Wait%000 "%receive4%" >>dial.ppp
if "%send4%"=="" goto skdial
echo send "%send4%" >>dial.ppp
:skdial

rem [remove last login.ppp]
echo BareBones DOS email system. (v3.2). JDC 2001. >login.ppp
echo.>login.ppp

rem [Dial the Internet... and make network settings file, WATTCP.CFG]
rem cls
if "%ISPname%"=="" goto noispn
echo  Connecting to %ISPname%... (please wait).
goto isprej
:noispn
echo  Connecting... (please wait).
:isprej
if "%comport%"=="unused" set comport=
echo PPP command line: PPP /%comadvanced% %comport% /s %speed% /d script >>login.ppp
ppp /%comadvanced% %comport% /s %speed% /d script >>login.ppp
echo   Updating TCP settings: WATTCP.CFG
barebone login.ppp >wattcp.cfg
if errorlevel==1 goto logf
echo   Connected successfully.
goto logok

:logf
echo    Barebones failed to log on.  (See LOGIN.PPP for connection details/help).
echo. >>login.ppp
echo   If the modem does not dial, first check the "COMport" setting in %0>>login.ppp
echo   (or if it exists, the external config file BBCONFIG.BAT, or BBFMODEM.BAT).>>login.ppp
echo   If you do not know which COM port your modem is on, first try values 1-4,>>login.ppp
echo then check your modem manual or use a modem detection program such as >>login.ppp
echo Fmodem: which is now available in Barebones: run BAREBONE /F >>login.ppp
echo. >>login.ppp
echo   If you can't log on to your ISP, check LOGIN.PPP and see where the  >>login.ppp
echo process is failing.  You may need to change the default login script,>>login.ppp
echo DIAL.PPP which is created by %0>>login.ppp
echo. >>login.ppp
echo   If you can't send/get email, check your Nameserver and other WATTCP.CFG >>login.ppp
echo settings. >>login.ppp
echo. >>login.ppp
echo   You can contact the author at jchap@globalnet.co.uk >>login.ppp
goto thend                                                               

:logok
if "%nameserver%"=="0" goto skipdns
echo nameserver=%nameserver% >> wattcp.cfg
:skipdns
if "%dns2%"=="" goto skipdns2
echo nameserver=%dns2% >> wattcp.cfg
:skipdns2
if "%dns3%"=="" goto skipdns3
echo nameserver=%dns3% >> wattcp.cfg
:skipdns3

rem logged in ok
if "%2"=="/l" goto nomail
if "%2"=="/L" goto nomail

rem [Send mail, (if different address from the collection mailserver).]
:send
if exist *.msg goto send2
echo  No mail to send.
goto skms
:send2
rem if "%pop3address%"=="%smtpaddress%" echo  Collecting/Sending mail...
rem if "%pop3address%"=="%smtpaddress%" goto skcm
echo  Sending mail...
:skcm
rem tcpmail /b /s %pop3username%@%smtpaddress% %pop3password%
tcpmail /b /s %smtpaddress%
if exist *.msg echo   Mail not sent.
if exist *.msg goto skms
echo   Mail sent.
:skms
if "%bbmode%"=="l" goto thend

rem [Get email...]
:get
echo  Collecting mail...
tcpmail %leavemail% /b /g %pop3username%@%pop3address% %pop3password%
if exist *.cnm echo   You have mail!
if exist *.cnm goto sknm
echo   No mail found.
:sknm
if "%bbmode%"=="l" goto thend
goto hang

:lsend
set bbmode=l
goto send

:lget
set bbmode=l
goto get

rem [Hang up.]
:hang
echo  Hanging up.
barebone /h
if exist wattcp.cfg del wattcp.cfg
if exist dial.ppp del dial.ppp
if exist config.ppp del config.ppp
if exist login.ppp del login.ppp
goto mailer

:hang2
echo BareBones DOS email system. (v3.2). JDC 2001.
echo  Trying to hang up...
barebone /h
if exist wattcp.cfg del wattcp.cfg
if exist dial.ppp del dial.ppp
if exist config.ppp del config.ppp
if exist login.ppp del login.ppp
goto thend

rem [Check to see if user wants to skip login]
echo off
:start
if "%1"=="setup" goto setup
if "%1"=="/?" goto help
if "%1"=="/I" goto help2
if "%1"=="/i" goto help2
if "%1"=="/h" goto hang2
if "%1"=="/H" goto hang2
rem [Start new command shell (to give us more environment space)].
if not exist %0.bat goto skipcom
command /e:7192 /c %0.bat setup %1 %2 %3
goto thend
:skipcom
command /e:7192 /c %0 setup %1 %2 %3
goto thend

:setup
echo BareBones DOS email system. (v3.2). JDC 2001.
goto go

:help2
barebone /b
:help 
echo.
echo BareBones DOS email system. (v3.2). JDC 2001.
echo.
echo A simple email system for DOS based machines based on:
echo Etherppp by Merit Software Inc, and TCPMAIL.EXE, BAREBONE.COM
echo and '%0' [EMAIL.BAT] by James David Chapman, (jchap@globalnet.co.uk).
echo.
echo EMAIL        - Connect, collect and send email, then hang up/load mailer.
echo EMAIL /I     - View full system instructions.
echo EMAIL /L     - Just connect to the internet and quit to DOS.
echo EMAIL /G     - If connected, collect mail.
echo EMAIL /S     - If connected, send mail.
echo EMAIL /H     - Hang up a connection.
echo EMAIL /C     - Write external config file, BBCONFIG.BAT
echo EMAIL /R     - Create an email settings report for Barebones author.
echo EMAIL /N     - Creates NEW.MSG ready for editing.
echo EMAIL to email-address - Creates addressed NEW.MSG ready for editing.
echo EMAIL /Q email-address - Write a quick message to someone using Copy CON.
echo EMAIL /V new/old/sent  - View mail.
echo EMAIL /E file - Load file.BAT external config file and start again.
echo.
echo You are free to use this system, providing you accept that there is
echo no warranty, no support and that you use it at entirely your own risk.
echo.
goto thend

rem If you want to automatically start up your email program list it here:
:mailer
if exist dosmail.com dosmail /e
if exist pmail.exe pmail /u %username%
if "%view%"=="on" goto vmail
if "%view%"=="On" goto vmail
if "%view%"=="oN" goto vmail
if "%view%"=="ON" goto vmail
goto thend

:view
echo  Starting mail viewer.
echo BareBones DOS email system. (v3.2). JDC 2001. >mail.box
echo. >>mail.box
if "%3"=="old" barebone /lt >>mail.box
if "%3"=="new" barebone /l >>mail.box
if "%3"=="sent" barebone /lm >>mail.box
if "%3"=="" barebone /l >>mail.box
barebone /vl mail.box Email Messages
del mail.box >nul
goto thend

:old
:vmail
if not exist *.cnm goto thend
echo  Starting mail viewer.
echo   Listing mail files.
echo BareBones DOS email system. (v3.2). JDC 2001. >mail.box
echo. >>mail.box
barebone /l >>mail.box
echo   Starting viewer.
barebone /vl mail.box Email Messages
del mail.box >nul
if "%File%"=="y" goto filer
if "%File%"=="Y" goto filer
goto thend

:filer
echo  Filing messages...
if exist *.cnm copy *.cnm *.txt >nul
if exist *.cnm echo   Messages now stored as *.TXT.  Enter "%0 /v old" to view.
if exist *.cnm del *.cnm
goto thend

:nomail
echo    Type "email /h" to hang up connection.
goto thend

:bbcfg
echo  Making external config file. 
echo   Writing file as: BBCONFIG.BAT
echo rem External Barebone DOS email settings file. >bbconfig.bat
echo rem ==========================================>>bbconfig.bat
echo rem * These settings will override any in %0 [EMAIL.BAT]>>bbconfig.bat
echo rem * If you change your login username and password in this file you must>>bbconfig.bat
echo rem    also update them if they appear in the *Dial script* section below.>>bbconfig.bat
echo rem    (If you are connecting with PAP you will not have to do this).>>bbconfig.bat
echo rem * If you are having problems with the system, make sure there are no>>bbconfig.bat
echo rem     spaces on the end of any of the lines!  Tip: Use highlight.>>bbconfig.bat
echo rem >>bbconfig.bat
echo echo   External config file found. >>bbconfig.bat
echo Rem *Standard settings*>>bbconfig.bat
echo set Telephone=%Telephone%>>bbconfig.bat
echo set Username=%Username%>>bbconfig.bat
echo set Password=%Password%>>bbconfig.bat
echo set COMport=%COMport%>>bbconfig.bat
echo set Nameserver=%Nameserver%>>bbconfig.bat
echo set POP3address=%POP3address%>>bbconfig.bat
echo set POP3username=%POP3username%>>bbconfig.bat
echo set POP3password=%POP3password%>>bbconfig.bat
echo set SMTPaddress=%SMTPaddress%>>bbconfig.bat
echo set EMAILaddress=%EMAILaddress%>>bbconfig.bat
echo rem *Advanced settings*>>bbconfig.bat
echo set Dial=%Dial%>>bbconfig.bat
echo set Modemstring=%Modemstring%>>bbconfig.bat
echo set COMadvanced=%COMadvanced%>>bbconfig.bat
echo set Speed=%Speed%>>bbconfig.bat
echo set Debug=%Debug%>>bbconfig.bat
echo set Leavemail=%Leavemail%>>bbconfig.bat
echo set PAP=%PAP%>>bbconfig.bat
echo set Wait=%Wait%>>bbconfig.bat
echo set View=%view%>>bbconfig.bat
echo set File=%File%>>bbconfig.bat
echo set MailExtra=%MailExtra%>>bbconfig.bat
echo rem *Dial script*>>bbconfig.bat
echo set Receive1=%Receive1%>>bbconfig.bat
echo set Send1=%Send1%>>bbconfig.bat
echo set Receive2=%Receive2%>>bbconfig.bat
echo set Send2=%Send2%>>bbconfig.bat
echo set Receive3=%Receive3%>>bbconfig.bat
echo set Send3=%Send3%>>bbconfig.bat
echo set Receive4=%Receive4%>>bbconfig.bat
echo set Send4=%Send4%>>bbconfig.bat
echo rem *Extra settings*>>bbconfig.bat
echo set Dialscript=%Dialscript%>>bbconfig.bat
rem echo Set bb=%bb%>>bbconfig.bat *disabled for 2.3f*
echo set bbmode=%bbmode%>>bbconfig.bat
echo rem *Address Book*>>bbconfig.bat
echo set nick1=%nick1%>>bbconfig.bat
echo set addr1=%addr1%>>bbconfig.bat
echo set real1=%real1%>>bbconfig.bat
echo set nick2=%nick2%>>bbconfig.bat
echo set addr2=%addr2%>>bbconfig.bat 
echo set real2=%real2%>>bbconfig.bat
echo set nick3=%nick3%>>bbconfig.bat
echo set addr3=%addr3%>>bbconfig.bat
echo set real3=%real3%>>bbconfig.bat
echo set nick4=%nick4%>>bbconfig.bat
echo set addr4=%addr4%>>bbconfig.bat
echo set real4=%real4%>>bbconfig.bat
echo set nick5=%nick5%>>bbconfig.bat
echo set addr5=%addr5%>>bbconfig.bat
echo set real5=%real5%>>bbconfig.bat             
echo rem *End of Barebones external config*>>bbconfig.bat
echo    Finished writing file.
goto thend

:cfg
echo  Making external config list.
echo   Writing file as: BAREBONE.CFG
echo Barebone Settings:>barebone.cfg
echo Telephone=%Telephone%>>barebone.cfg
echo Username=%Username%>>barebone.cfg
echo COMport=%COMport%>>barebone.cfg
echo Nameserver=%Nameserver%>>barebone.cfg
echo POP3address=%POP3address%>>barebone.cfg
echo POP3username=%POP3username%>>barebone.cfg
echo SMTPaddress=%SMTPaddress%>>barebone.cfg
echo EMAILaddress=%EMAILaddress%>>barebone.cfg
echo. >>barebone.cfg
echo Advanced settings.>>barebone.cfg
echo Dial=%Dial%>>barebone.cfg
echo Modemstring=%Modemstring%>>barebone.cfg
echo COMadvanced=%COMadvanced%>>barebone.cfg
echo Speed=%Speed%>>barebone.cfg
echo Debug=%Debug%>>barebone.cfg
echo Leavemail=%Leavemail%>>barebone.cfg
echo PAP=%PAP%>>barebone.cfg
echo MailExtra=%MailExtra%>>barebone.cfg
echo Wait=%Wait%>>barebone.cfg
echo.>>barebone.cfg
if "%password%"=="****" goto oksd
echo No dial script info stored unless Password set to "****" in %0>>barebone.cfg
goto sd
:oksd
echo Dial script.>>barebone.cfg
echo Receive1=%Receive1%>>barebone.cfg
echo Send1=%Send1%>>barebone.cfg
echo Receive2=%Receive2%>>barebone.cfg 
echo Send2=%Send2%>>barebone.cfg
echo Receive3=%Receive3%>>barebone.cfg
echo Send3=%Send3%>>barebone.cfg
echo Receive4=%Receive4%>>barebone.cfg
echo Send4=%Send4%>>barebone.cfg
:sd
echo.>>barebone.cfg
echo Extra settings.>>barebone.cfg
echo Dialscript=%Dialscript%>>barebone.cfg
echo bb=%bb%>>barebone.cfg
echo bbmode=%bbmode%>>barebone.cfg
echo.>>barebone.cfg
if "%bbmode%"=="2" goto cfg2
goto thend

:premsg
set bbmode=2
set dest=barebones@jchap.globalnet.co.uk
set desr=Barebones Author
set Subject=Barebones config report.
if exist new.msg ren new.msg wasnew.msg>nul
if exist new.msg echo  NEW.MSG already exists, please rename or delete it and try again.
if exist new.msg goto thend
goto cm
:cfg2
echo   Creating system settings email: REPORT.MSG
copy new.msg + barebone.cfg report.msg >nul
del new.msg >nul
echo    System report email written.  No user password details have been stored.
goto thend

:qmail2
echo  Enter text for mail to %dest%:
echo   Press Control-Z (F6) then Enter to finish.
echo.
copy new.msg+con new.msg >nul
echo Mail stored.
goto thend

:qmail
set bbmode=3

:msg
rem Check new.msg does not already exist in directory
if not exist new.msg goto msgm2
if exist new.msg echo  NEW.MSG already exists, attempting to rename it...
if not exist new1.msg ren new.msg new1.msg >nul
if not exist new.msg goto msgm
if not exist new2.msg ren new.msg new2.msg >nul
if not exist new.msg goto msgm
if not exist new3.msg ren new.msg new3.msg >nul
if not exist new.msg goto msgm
if not exist new4.msg ren new.msg new4.msg >nul
if not exist new.msg goto msgm
if not exist new5.msg ren new.msg new5.msg >nul
if not exist new.msg goto msgm
if not exist new6.msg ren new.msg new6.msg >nul
if not exist new.msg goto msgm
if not exist new7.msg ren new.msg new7.msg >nul
if not exist new.msg goto msgm
if not exist new8.msg ren new.msg new8.msg >nul
if not exist new.msg goto msgm
if not exist new9.msg ren new.msg new9.msg >nul
if not exist new.msg goto msgm
if not exist new10.msg ren new.msg new10.msg >nul
if not exist new.msg goto msgm
echo   NEW.MSG cannot be automatically renamed, rename or delete it and try again.
goto thend

:msgm
echo   File renamed ok.
:msgm2
if "%2"=="/n" goto skth
if "%2"=="/N" goto skth
if "%3"=="" echo  No address to send to specified.
if "%3"=="" goto thend
:skth
rem Check addressbook
set dest=%3
set desr=
if "%nick1%"=="%3" set dest=%addr1%
if "%nick2%"=="%3" set dest=%addr2%
if "%nick3%"=="%3" set dest=%addr3%
if "%nick4%"=="%3" set dest=%addr4%
if "%nick5%"=="%3" set dest=%addr5%
if "%nick1%"=="%3" set desr=%real1%
if "%nick2%"=="%3" set desr=%real2%
if "%nick3%"=="%3" set desr=%real3%
if "%nick4%"=="%3" set desr=%real4%
if "%nick5%"=="%3" set desr=%real5%

rem Create the msg file
:cm
echo  Making email template.
echo $$ /%username%%mailextra%>new.msg
echo T %dest%>>new.msg
echo.>>new.msg
echo From: %emailaddress%>>new.msg
if "%desr%"=="" echo To: %dest%>>new.msg
if "%desr%"=="" goto :sk5
echo To: %desr% (%dest%)>>new.msg
:sk5
barebone /d>>new.msg
echo Reply-To: %emailaddress%>>new.msg
echo X-Mailer: Barebones DOS email system.>>new.msg
echo Subject: %Subject%>>new.msg
echo.>>new.msg
rem echo [Insert message here] >>new.msg *removed from msg template*
echo.>>new.msg
echo.>>new.msg
echo   NEW.MSG created.
set Subject=
if "%bbmode%"=="2" goto cfg
if "%bbmode%"=="3" goto qmail2
if exist edit.exe edit new.msg
if exist edit.exe goto thend
if exist edit.com edit new.msg
goto thend

rem [Do not place any lines after this label, they will be run twice].
:thend
